Package org.bukkit.inventory.meta

# Interface Repairable

public interface Repairable
Represents an item that can be repaired at an anvil.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Repairable`
`clone()`
`int`
`getRepairCost()`
Gets the repair penalty
`boolean`
`hasRepairCost()`
Checks to see if this has a repair penalty
`void`
`setRepairCost(int cost)`
Sets the repair penalty

## Method Details

### hasRepairCost

boolean hasRepairCost()
Checks to see if this has a repair penalty

Returns:
  true if this has a repair penalty

### getRepairCost

int getRepairCost()
Gets the repair penalty

Returns:
  the repair penalty

### setRepairCost

void setRepairCost(int cost)
Sets the repair penalty

Parameters:
  `cost` - repair penalty

### clone

@NotNull @NotNull Repairable clone()